LinkexLinkex Docs
API ReferenceGeneratedImages

编辑图像(qwen-image-edit)

POST
/v1/images/edits

百炼qwen-image系列图片生成

Authorization

BearerAuth
AuthorizationBearer <token>

使用 Bearer Token 认证。 格式: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/images/edits" \  -H "Content-Type: application/json" \  -d '{      "model": "qwen-image-edit-plus",      "input": {          "messages": [              {                  "role": "user",                  "content": [                      {                          "image": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp"                      },                      {                          "text": "生成一张符合深度图的图像,遵循以下描述:一辆红色的破旧的自行车停在一条泥泞的小路上,背景是茂密的原始森林"                      }                  ]              }          ]      },      "parameters": {          "n": 2,          "negative_prompt": " ",          "prompt_extend": true,          "watermark": false      }'
{  "created": 0,  "data": [    {      "url": "string",      "b64_json": "string",      "revised_prompt": "string"    }  ]}